Payments
Update Payment
Learn how to update payments using the endpoint PUT /stores//payments/.
PUT
Update payment
๐ Endpoint
PUT /stores/{storeId}/payments/{paymentId}
Updates the shipment (shipment) and/or metadata of an approved payment.
๐ Authentication
- Private route.
- Requires header
Authorizationwith your API key and active plan.
๐งพ Route parameters
๐ง Body (JSON)
โ Example request
Standard snippet (cURL)
Use the cURL example from the Request example section above as the official snippet.๐ฆ Success response (200)
โ ๏ธ Possible errors
400 INVALID_DATAโ invalid body/parameters401 API_KEY_NOT_PROVIDEDโ missingAuthorizationheader401 INVALID_API_KEYโ invalid API key401 UNAUTHENTICATEDโ unauthenticated user403 USER_DISABLEDโ user disabled or deleted403 NO_ACTIVE_SUBSCRIPTIONโ inactive or expired plan403 UPDATE_NOT_ALLOWEDโ payment is not approved404 STORE_NOT_FOUNDโ store not found404 PAYMENT_NOT_FOUNDโ payment not found429 RATE_LIMIT_EXCEEDEDโ plan per-minute rate limit exceeded500 INTERNAL_SERVER_ERRORโ internal error503 SERVICE_UNAVAILABLEโ service temporarily unavailable
Path Parameters
Body
application/json
Payment fields to update.